Skip to main content
GET
Get webhook subscription

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

id
string<webhookSubscriptionId>
required

Webhook subscription ID

Response

Webhook subscription retrieved

id
string<webhookSubscriptionId>
required

Unique subscription ID

webhook_url
string
required

Webhook destination URL

version
enum<string>
required

Webhook payload version

Available options:
V1,
V2,
V3
enabled_events
string[]
required

Subscribed event types

secret
string
required

Signing secret for HMAC verification

created_at
string
required

ISO 8601 timestamp

updated_at
string
required

ISO 8601 timestamp